package com.gh.gamecenter.subject

import com.gh.gamecenter.entity.SubjectSettingEntity
import com.gh.gamecenter.retrofit.RetrofitManager
import com.gh.gamecenter.retrofit.service.ApiService
import io.reactivex.Observable
import okhttp3.ResponseBody

class SubjectRepository(
    private val api: ApiService = RetrofitManager.getInstance().api
) : ISubjectRepository {

    override fun getColumnSettings(column_id: String?): Observable<SubjectSettingEntity> {
        return api.getColumnSettings(column_id)
    }

    override fun getSubjectName(column_id: String?): Observable<ResponseBody> {
        return api.getSubjectName(column_id)
    }
}